QXmpp Version:0.3.91

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Friends
QXmppServer Class Reference
Core

The QXmppServer class represents an XMPP server. More...

`#include <QXmppServer.h>`

Inheritance diagram for QXmppServer:

List of all members.

## Public Slots
void | handleElement (const QDomElement &element)
| Handle an incoming XML element.
## Signals
void | clientConnected (const QString &jid)
void | clientDisconnected (const QString &jid)
| This signal is emitted when a client has disconnected.
## Public Member Functions
| QXmppServer (QObject *parent=0)
| ~QXmppServer ()
void | addExtension (QXmppServerExtension *extension)
QList< QXmppServerExtension * > | extensions ()
QString | domain () const
void | setDomain (const QString &domain)
QXmppLogger * | logger ()
void | setLogger (QXmppLogger *logger)
QXmppPasswordChecker * | passwordChecker ()
void | setPasswordChecker (QXmppPasswordChecker *checker)
QVariantMap | statistics () const
| Returns the statistics for the server.
void | addCaCertificates (const QString &caCertificates)
void | setLocalCertificate (const QString &path)
void | setPrivateKey (const QString &path)
void | close ()
bool | listenForClients (const QHostAddress &address=QHostAddress::Any, quint16 port=5222)
bool | listenForServers (const QHostAddress &address=QHostAddress::Any, quint16 port=5269)
bool | sendElement (const QDomElement &element)
bool | sendPacket (const QXmppStanza &stanza)
## Friends
class | QXmppServerPrivate

## Detailed Description

The QXmppServer class represents an XMPP server.

It provides support for both client-to-server and server-to-server communications, SSL encryption and logging facilities.

QXmppServer comes with a number of modules for service discovery, XMPP ping, statistics and file transfer proxy support. You can write your own extensions for QXmppServer by subclassing QXmppServerExtension.

## Constructor & Destructor Documentation

QXmppServer::QXmppServer | ( | QObject * | parent = `0` | ) |

Constructs a new XMPP server instance.

Parameters:

  parent |

QXmppServer::~QXmppServer | ( |  | ) |

Destroys an XMPP server instance.

## Member Function Documentation

void QXmppServer::addCaCertificates | ( | const QString & | path | ) |

Sets the path for additional SSL CA certificates.

Parameters:

  path |

void QXmppServer::addExtension | ( | QXmppServerExtension * | extension | ) |

Registers a new extension with the server.

Parameters:

  extension |

void QXmppServer::clientConnected | ( | const QString & | jid | ) | `[signal]`

This signal is emitted when a client has connected.

void QXmppServer::close | ( |  | ) |

Closes the server.

QString QXmppServer::domain | ( |  | ) | const

Returns the server's domain.

QList< QXmppServerExtension * > QXmppServer::extensions | ( |  | ) |

Returns the list of loaded extensions.

bool QXmppServer::listenForClients | ( | const QHostAddress & | address = `QHostAddress::Any`,
|  | quint16 | port = `5222`
| ) |  |

Listen for incoming XMPP client connections.

Parameters:

  address |
  port |

bool QXmppServer::listenForServers | ( | const QHostAddress & | address = `QHostAddress::Any`,
|  | quint16 | port = `5269`
| ) |  |

Listen for incoming XMPP server connections.

Parameters:

  address |
  port |

QXmppLogger * QXmppServer::logger | ( |  | ) |

Returns the QXmppLogger associated with the server.

QXmppPasswordChecker * QXmppServer::passwordChecker | ( |  | ) |

Returns the password checker used to verify client credentials.

bool QXmppServer::sendElement | ( | const QDomElement & | element | ) |

Route an XMPP stanza.

Parameters:

  element |

bool QXmppServer::sendPacket | ( | const QXmppStanza & | packet | ) |

Route an XMPP packet.

Parameters:

  packet |

void QXmppServer::setDomain | ( | const QString & | domain | ) |

Sets the server's domain.

Parameters:

  domain |

void QXmppServer::setLocalCertificate | ( | const QString & | path | ) |

Sets the path for the local SSL certificate.

Parameters:

  path |

void QXmppServer::setLogger | ( | QXmppLogger * | logger | ) |

Sets the QXmppLogger associated with the server.

Parameters:

  logger |

void QXmppServer::setPasswordChecker | ( | QXmppPasswordChecker * | checker | ) |

Sets the password checker used to verify client credentials.

Parameters:

  checker |

void QXmppServer::setPrivateKey | ( | const QString & | path | ) |

Sets the path for the local SSL private key.

Parameters:

  path |

The documentation for this class was generated from the following files:

- QXmppServer.h
- QXmppServer.cpp

All Classes Functions Enumerations Enumerator Properties